सामग्री पर जाएँ

Stable Audio 3 Medium Base Text to Audio

इंटीग्रेट करें

मॉडल id stable-audio-3/medium/base/text-to-audio
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/stable-audio-3/medium/base/text-to-audio?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध: $0.048 48 API क्रेडिट · ≈ ₽5.16 इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें
Stability AI ऑडियो 1–380 s #music#audio#stereo

फ़ाइन-ट्यूनिंग वर्कफ़्लो के लिए बेस-चेकपॉइंट Medium text-to-audio, अधिकतम 380 सेकंड की क्लिप

Stability AI · ऑडियो

आपका पहला परिणाम यहाँ आएगा

नीचे एक अनुरोध बनाएँ और उसे अपनी API कुंजी से चलाएँ। आउटपुट हमारे स्टोरेज में कॉपी किए जाते हैं और हमेशा के लिए या 7 दिन तक मुफ़्त में रखे जाते हैं।

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

•आवश्यक

वांछित ऑडियो सामग्री निर्दिष्ट करने वाला टेक्स्ट।

डिफ़ॉल्ट 30

ऑडियो की लंबाई सेकंड में, जिसमें medium मॉडल की अधिकतम सीमा 380 सेकंड (लगभग 6 मिनट 20 सेकंड) है।

उन्नत negative_prompt · output_format · bitrate · num_inference_steps · guidance_scale · seed · enable_prompt_expansion · enable_safety_checker
डिफ़ॉल्ट

आउटपुट में अवांछित गुणों को निर्दिष्ट करने वाला टेक्स्ट।

output_format डिफ़ॉल्ट mp3

परिणामी ऑडियो के लिए उपयोग किया जाने वाला कंटेनर फ़ॉर्मैट।

डिफ़ॉल्ट 192k

आउटपुट ऑडियो बिटरेट, wav या flac के उपयोग पर अनदेखा किया जाता है क्योंकि वे लॉसलेस हैं। mp3, aac या opus जैसे संपीड़ित फ़ॉर्मैट के लिए '192k' या '320k' के रूप में मान दें।

डिफ़ॉल्ट 50

चलाए जाने वाले सैंपलिंग चरणों की संख्या चुनें; बेस (नॉन-डिस्टिल्ड) चेकपॉइंट का उपयोग करते समय अच्छी गुणवत्ता के लिए लगभग 50 चरण पर्याप्त होते हैं।

डिफ़ॉल्ट 7

क्लासिफ़ायर-फ़्री गाइडेंस स्ट्रेंथ, जिसके लिए बेस चेकपॉइंट पर शुरुआत में लगभग 7.0 की अनुशंसा की जाती है; इसे बढ़ाने पर निर्माण प्रॉम्प्ट का अधिक सटीक पालन करता है।

दोहराए जा सकने वाले परिणामों के लिए रैंडम जनरेटर सीड; इसे छोड़ने पर रैंडम सीड चुना जाता है।

POST /run/stable-audio-3/medium/base/text-to-audio?wait=20 कोटेशन → $0.048
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/stable-audio-3/medium/base/text-to-audio?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

Stable Audio 3 Medium Base Text to Audio के बारे में

टेक्स्ट `prompt` से ऑडियो बनाता है और अवांछित गुणों से दूर रखने के लिए वैकल्पिक `negative_prompt` स्वीकार करता है। `duration` 1 से 380 सेकंड तक होता है। Non-distilled बेस चेकपॉइंट के रूप में यह डिफ़ॉल्ट रूप से 50 सैंपलिंग चरण और गाइडेंस स्केल 7 उपयोग करता है, तथा अधिकतम 25 तक गाइडेंस स्वीकार करता है। आउटपुट फ़ॉर्मैट में mp3, wav, flac, ogg, opus, m4a और aac शामिल हैं।

पैरामीटर

नामप्रकार डिफ़ॉल्टअनुमत विवरण
negative_promptवैकल्पिक
प्रकारstring
डिफ़ॉल्ट
आउटपुट में अवांछित गुणों को निर्दिष्ट करने वाला टेक्स्ट।
durationवैकल्पिक
प्रकारnumber
डिफ़ॉल्ट30
1 – 380
ऑडियो की लंबाई सेकंड में, जिसमें medium मॉडल की अधिकतम सीमा 380 सेकंड (लगभग 6 मिनट 20 सेकंड) है।
num_inference_stepsवैकल्पिक
प्रकारinteger
डिफ़ॉल्ट50
1 – 100
चलाए जाने वाले सैंपलिंग चरणों की संख्या चुनें; बेस (नॉन-डिस्टिल्ड) चेकपॉइंट का उपयोग करते समय अच्छी गुणवत्ता के लिए लगभग 50 चरण पर्याप्त होते हैं।
guidance_scaleवैकल्पिक
प्रकारnumber
डिफ़ॉल्ट7
0 – 25
क्लासिफ़ायर-फ़्री गाइडेंस स्ट्रेंथ, जिसके लिए बेस चेकपॉइंट पर शुरुआत में लगभग 7.0 की अनुशंसा की जाती है; इसे बढ़ाने पर निर्माण प्रॉम्प्ट का अधिक सटीक पालन करता है।
seedवैकल्पिक
प्रकारinteger | null
दोहराए जा सकने वाले परिणामों के लिए रैंडम जनरेटर सीड; इसे छोड़ने पर रैंडम सीड चुना जाता है।
enable_prompt_expansionवैकल्पिक
प्रकारboolean
डिफ़ॉल्टfalse
सक्षम होने पर LLM का उपयोग करके प्रॉम्प्ट का विस्तार, जिससे विवरण जुड़ता है और परिणाम की गुणवत्ता बेहतर होती है।
enable_safety_checkerवैकल्पिक
प्रकारboolean
डिफ़ॉल्टtrue
NSFW सामग्री की सुरक्षा जाँच।
output_formatवैकल्पिक
प्रकारenum
डिफ़ॉल्टmp3
mp3wavflacoggopusm4aaac
परिणामी ऑडियो के लिए उपयोग किया जाने वाला कंटेनर फ़ॉर्मैट।
bitrateवैकल्पिक
प्रकारstring
डिफ़ॉल्ट192k
आउटपुट ऑडियो बिटरेट, wav या flac के उपयोग पर अनदेखा किया जाता है क्योंकि वे लॉसलेस हैं। mp3, aac या opus जैसे संपीड़ित फ़ॉर्मैट के लिए '192k' या '320k' के रूप में मान दें।
promptआवश्यक
प्रकारstring
वांछित ऑडियो सामग्री निर्दिष्ट करने वाला टेक्स्ट।
आवश्यक

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "stable-audio-3/medium/base/text-to-audio",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 48,
    "usd": "0.048",
    "charged": 48,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "audio": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_name": "0-output.mp3",
      "file_size": 1843200
    },
    "seed": 42,
    "prompt": "string"
  },
  "outputs": [
    {
      "type": "audio",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_size": 1843200,
      "duration": 12,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
audio
object {url, content_type, file_name, file_size}निर्माण द्वारा तैयार की गई ऑडियो क्लिप।
seed
integerनिर्माण के दौरान यादृच्छिकता को नियंत्रित करने वाला सीड।
prompt
stringआउटपुट बनाने के लिए उपयोग किया गया प्रॉम्प्ट।

और मॉडल: ऑडियो

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/stable-audio-3/medium/base/text-to-audio.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt